Subject: Re: bug#48088: libtool hardcodes native (cross-)compiler, incorrect when using libtool as cross-compiler

From: Maxime Devos <[email-masked]>
Date: Thu, 29 Apr 2021 19:18:56 +0200

Severity: minor

Hi Ludo,

Ludovic Courtès schreef op do 29-04-2021 om 13:52 [+0200]:
> [...]
> The ‘libtool’ script provided by the ‘libtool’ package is usually
> unused.  The modus operandi for Libtool is that packages generate their
> own ‘libtool’ script at configure time, tailored for the given
> configuration options, based on a template installed by ‘libtoolize’
> (itself invoked by ‘autoreconf’).
> 
> Perhaps the ‘libtomsmath’ package is doing something unusual?

Yes, it does not have a configure script, and invokes "libtool" directly from
the makefile.  It seems like ‘we’ will have to patch libtomsmath appropriately.
I might eventually look into the issue, but probably not in the near future.

Let's stop CC'ing [email-masked]; this issue isn't really a bug in libtool.

Greetings,
Maxime.